!set title=Determinante y traza 3x3
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r
varcnt=13
prevarcnt=12
postvarcnt=0
replycnt=2
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(8)]
tmp0=!randint -$val6, $val6

val7=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val8=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val9=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val10=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val11=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val12=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val13=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val14=$[rint($(tmp0))]
tmp0=!randint -$val6, $val6

val15=$[rint($(tmp0))]
val16=$[rint(($val7)+($val11)+($val15))]
val17=$[rint(($val7)*($val11)*($val15)-($val7)*($val12)*($val14)	        +($val8)*($val12)*($val13)-($val8)*($val10)*($val15)	       +($val9)*($val10)*($val14)-($val9)*($val11)*($val13))]
replyname1=Traza(A)
replygood1=$val16
replyname2=Det(A)
replygood2=$val17
question=!nosubst Calcular el determinante y la traza de la matriz	 &#36;&#36; A=\pmatrix{$val7&$val8&$val9\cr $val10&$val11&$val12\cr $val13&$val14&$val15}. &#36;&#36;

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9,10,11,12,13,14,15
embedcnt=0
